Skip to main content

GET /lookups/providers

Returns all product providers configured in the platform. A provider is the underlying service that ultimately delivers a product (for example: Vodacom for airtime, Eskom for electricity).

Endpoint: GET /lookups/providers

Authentication Required:

Request

GET /api/v1/lookups/providers
Authorization: Bearer <ACCESS_TOKEN>

Response

[
{
"id": "V1A2B3",
"code": "VOD",
"description": "Vodacom",
"state": "ACTIVE",
"type": "PROVIDER"
},
{
"id": "E4D5F6",
"code": "ESK",
"description": "Eskom",
"state": "ACTIVE",
"type": "PROVIDER"
}
]

Filtering Products By Provider

This endpoint returns providers only. To list products that are active for your account, use the merchant-scoped products endpoints:

  • GET /merchants/{merchantId}/products — products active for a merchant account.
  • GET /sub-merchants/{subMerchantId}/products — products active for a sub-merchant account.

Products include a brandId and brandName you can use to group by provider/brand client-side.

See Product Availability for the rules that determine which products you can vend.

See Product Availability for the rules that determine which products you can vend.


Last updated: April 2026